package inventorymanager

import (
	"context"

	"code.fbi.h-da.de/danet/gosdn/controller/api"
	"google.golang.org/grpc"
	"google.golang.org/grpc/metadata"
)

//type CustomJwtClaims struct {
//	jwt.StandardClaims
//	Username string `json:"username,omitempty"`
//}

// Login logs in to the controller.
func Login(conn *grpc.ClientConn, address, user, pw string) (string, error) {
	loginResp, err := api.Login(context.Background(), address, user, pw)
	if err != nil {
		return "", err
	}

	return loginResp.GetToken(), nil
}

// createContextWithAuthorization creates a context with the token received after login.
func createContextWithAuthorization(sessionToken string) context.Context {
	md := metadata.Pairs("authorize", sessionToken)
	return metadata.NewOutgoingContext(context.Background(), md)
}

// getQueueCredentials registers an app for the event system of the controller and returns the provided credentials.
//func getQueueCredentials(ctx context.Context, controllerAddress, appName, registrationToken string) (string, error) {
//	return registration.Register(ctx, controllerAddress, appName, registrationToken)
//}
